Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes
tlp::EntityWithDistance Struct Reference

Storage class for Z ordering. More...

`#include <GlScene.h>`

List of all members.

## Public Member Functions

- EntityWithDistance (const double &dist, EntityLODUnit *entity)
- EntityWithDistance (const double &dist, ComplexEntityLODUnit *entity, bool isNode)

## Public Attributes

- double distance
- EntityLODUnit * entity
- bool isComplexEntity
- bool isNode

## Detailed Description

Storage class for Z ordering.

## Constructor & Destructor Documentation

tlp::EntityWithDistance::EntityWithDistance | ( | const double & | dist,
|  | EntityLODUnit * | entity
| ) |  | `[inline]`

tlp::EntityWithDistance::EntityWithDistance | ( | const double & | dist,
|  | ComplexEntityLODUnit * | entity,
|  | bool | isNode
| ) |  | `[inline]`

## Member Data Documentation

double tlp::EntityWithDistance::distance

EntityLODUnit* tlp::EntityWithDistance::entity

bool tlp::EntityWithDistance::isComplexEntity

bool tlp::EntityWithDistance::isNode

Tulip Software by LaBRI Visualization Team 2001 - 2012